/*
 * Project: Arrow
 * Author: 	curiousmuch
 */
#include <stdio.h>
#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "driver/gpio.h"
#include "sdkconfig.h"
#include "esp_task_wdt.h"

#include "cc1200.h"
#include "cc1200_protocol.h"
#include "board.h"

//#include "ax25_pad2.h"
//#include "ax25_pad.h"
#include "fcs_calc.h"

uint8_t APRS_TEST_PACKET[] = { 0x82, 0x98, 0x98, 0x40, 0x40, 0x40, 0xe0, 0x96, 0x84, 0x66, 0xaa, 0x96, 0xac, 0xe0, 0xae, 0x92,
									 0x88, 0x8a, 0x62, 0x40, 0x62, 0xae, 0x92, 0x88, 0x8a, 0x64, 0x40, 0x65, 0x03, 0xf0, 0x3a, 0x4b,
									 0x42, 0x33, 0x55, 0x4b, 0x56, 0x2d, 0x32, 0x20, 0x3a, 0x48, 0x69, 0x21, 0x20, 0x54, 0x68, 0x69, 0x73,
									 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x54, 0x65, 0x73, 0x74, 0x7b, 0x31, 0xad, 0xa1 };

void IRAM_ATTR app_main()
{
	cc1200_radio_init(APRS_SETTINGS, sizeof(APRS_SETTINGS)/sizeof(cc1200_reg_settings_t));
	vTaskDelay(500/portTICK_PERIOD_MS);

//	// generate sample packet
//	packet_t pp;
//	unsigned char fbuf[AX25_MAX_PACKET_LEN+2];
//	uint32_t flen;
//	uint32_t c;
//
//	pp = ax25_from_text("WB2OSZ-15>TEST:,The quick brown fox jumps over the lazy dog!  1 of 4", 1);
//	flen = ax25_pack(pp, fbuf);
//
//	uint32_t fcs = fcs_calc(fbuf, flen);
//
//	ax25_hex_dump(pp);
//	printf("FCS: %x\n", fcs);


	//while(1)
	{

		//cc1200_radio_APRSTXPacket(APRS_TEST_PACKET, sizeof(APRS_TEST_PACKET)/sizeof(uint8_t), 4, 2);
		vTaskDelay(1000/portTICK_PERIOD_MS);
	}

	//cc1120_radio_APRSTXPacket();
	//xTaskCreatePinnedToCore();



}
